> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Facebook Post 

> Fetch Facebook post details, media, and stats (public posts).



## OpenAPI

````yaml POST /facebook/post
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /facebook/post:
    post:
      description: Fetch Facebook post details, media, and stats (public posts).
      requestBody:
        description: Facebook post fetch parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FacebookPostRequest'
        required: true
      responses:
        '200':
          description: Post fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FacebookPostResponse'
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    error: <string>
      servers:
        - url: https://py-api.hobbo.ai
components:
  schemas:
    FacebookPostRequest:
      type: object
      required:
        - query
      properties:
        query:
          type: string
          description: Provide proper Facebook Post URL
        is_text_formatted:
          type: boolean
          description: Controls text formatting in output
          default: true
    FacebookPostResponse:
      type: object
      properties:
        all_reviews:
          type: array
          description: Array of fetched post data
          items:
            type: object
            properties:
              query:
                type: string
                description: Original query URL
              review_text:
                type:
                  - string
                  - 'null'
                description: Content of the review
              media_count:
                type:
                  - number
                  - 'null'
                description: Number of media items
              review_media:
                type: array
                description: ' URL and type of the media'
                items:
                  type: object
                  properties:
                    review_media_type:
                      type: string
                    review_media_url:
                      type: string
                    thumbnail_url:
                      type:
                        - string
                        - 'null'
                      description: URL of the review video thumbnail
                    media_id:
                      type:
                        - string
                        - 'null'
                      description: Identifier
              post_info:
                type: object
                properties:
                  post_id:
                    type:
                      - string
                      - number
                      - 'null'
                    description: Identifier of the post
                  sponsored_data:
                    type:
                      - object
                      - 'null'
                    description: Additional metadata about the wall of love
              author_data:
                type:
                  - object
                  - 'null'
                description: Additional metadata about the wall of love
              author_id:
                type:
                  - string
                  - number
                  - 'null'
                description: Identifier of the author
              author_profile_url:
                type:
                  - string
                  - 'null'
                description: URL of the author's profile
              author_name:
                type:
                  - string
                  - 'null'
                description: Name of the review author
              author_profile_image_url:
                type:
                  - string
                  - 'null'
                description: URL to the author's profile image
              post_stats:
                type: object
                properties:
                  comments_count:
                    type: number
                    description: Number of comments on the review
                  reactions_count:
                    type: number
                    description: Number of likes for the review
                  top_reactions:
                    type:
                      - object
                      - array
                      - 'null'
                    description: Additional metadata about the wall of love
                  shares_count:
                    type: number
                    description: Number of reshares
                  video_view_count:
                    type:
                      - number
                      - 'null'
                    description: Number of views
                  play_count:
                    type:
                      - number
                      - 'null'
                    description: Number of views
              review_date:
                type:
                  - string
                  - 'null'
                description: Date when the review was posted
              review_tags:
                type:
                  - array
                  - 'null'
                items:
                  type: string
                description: List of keywords
              attached_post_data:
                type: object
                properties:
                  review_text:
                    type:
                      - string
                      - 'null'
                    description: Content of the review
                  post_info:
                    type: object
                    description: Post attributes
                  post_stats:
                    type: object
                    description: Post statistics
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````